Loading...
Searching...
No Matches
_ocsd_etmv4_cfg Struct Reference
OpenCSD Library : Trace Packet Types

`#include <trc_pkt_types_etmv4.h>`

## Public Attributes

uint32_t | reg_idr0
uint32_t | reg_idr1
uint32_t | reg_idr2
uint32_t | reg_idr8
uint32_t | reg_idr9
uint32_t | reg_idr10
uint32_t | reg_idr11
uint32_t | reg_idr12
uint32_t | reg_idr13
uint32_t | reg_configr
uint32_t | reg_traceidr
ocsd_arch_version_t | arch_ver
ocsd_core_profile_t | core_prof

## Detailed Description

Definition at line 371 of file trc_pkt_types_etmv4.h.

## Member Data Documentation

## arch_ver

ocsd_arch_version_t _ocsd_etmv4_cfg::arch_ver

Architecture version

Definition at line 384 of file trc_pkt_types_etmv4.h.

## core_prof

ocsd_core_profile_t _ocsd_etmv4_cfg::core_prof

Core Profile

Definition at line 385 of file trc_pkt_types_etmv4.h.

## reg_configr

uint32_t _ocsd_etmv4_cfg::reg_configr

Config Register

Definition at line 382 of file trc_pkt_types_etmv4.h.

## reg_idr0

uint32_t _ocsd_etmv4_cfg::reg_idr0

ID0 register

Definition at line 373 of file trc_pkt_types_etmv4.h.

## reg_idr1

uint32_t _ocsd_etmv4_cfg::reg_idr1

ID1 register

Definition at line 374 of file trc_pkt_types_etmv4.h.

## reg_idr10

uint32_t _ocsd_etmv4_cfg::reg_idr10

Definition at line 378 of file trc_pkt_types_etmv4.h.

## reg_idr11

uint32_t _ocsd_etmv4_cfg::reg_idr11

Definition at line 379 of file trc_pkt_types_etmv4.h.

## reg_idr12

uint32_t _ocsd_etmv4_cfg::reg_idr12

Definition at line 380 of file trc_pkt_types_etmv4.h.

## reg_idr13

uint32_t _ocsd_etmv4_cfg::reg_idr13

Definition at line 381 of file trc_pkt_types_etmv4.h.

## reg_idr2

uint32_t _ocsd_etmv4_cfg::reg_idr2

ID2 register

Definition at line 375 of file trc_pkt_types_etmv4.h.

## reg_idr8

uint32_t _ocsd_etmv4_cfg::reg_idr8

Definition at line 376 of file trc_pkt_types_etmv4.h.

## reg_idr9

uint32_t _ocsd_etmv4_cfg::reg_idr9

Definition at line 377 of file trc_pkt_types_etmv4.h.

## reg_traceidr

uint32_t _ocsd_etmv4_cfg::reg_traceidr

Trace Stream ID register

Definition at line 383 of file trc_pkt_types_etmv4.h.

The documentation for this struct was generated from the following file:

- /build/libopencsd-8WV101/libopencsd-1.5.5/decoder/include/opencsd/etmv4/trc_pkt_types_etmv4.h